Retrieve a specific pronoun set Run in API Explorer
Ask AI
Get details of a specific pronoun set by its canonical name.
GET
/pronouns/{pronoun}
curl \
--request GET 'https://pronomejo.net/api/public/v3/pronouns/{pronoun}' \
--header "Accept: application/json"
Response examples (200)
{
"canonicalName": "they/them",
"description": "Normative “they/them”",
"normative": true,
"morphemes": {
"pronoun_subject": "they",
"pronoun_object": "them",
"possessive_determiner": "their",
"possessive_pronoun": "theirs",
"reflexive": "themself"
},
"pronunciations": {},
"plural": true,
"pluralHonorific": false,
"aliases": [
"they/them"
],
"history": "",
"pronounceable": true,
"thirdForm": null,
"smallForm": null,
"sourcesInfo": null,
"nullPronoun": false,
"examples": [
"I think they are very nice.",
"I met them recently.",
"Is this their dog?",
"They told me that the house is theirs.",
"They said they would rather do it themself.",
"They are really beautiful.",
"They answered the phone.",
"They take good care of their cat.",
"They did it all by themself.",
"They talk in their sleep.",
"They landed the plane safely.",
"They argue that…",
"Did you buy them their gift?",
"I asked them if I can borrow their pencil.",
"I talked to them yesterday.",
"Would you like to go to the movies with them?",
"Can you call them when their cat awakes?",
"Their graduation starts soon.",
"My favorite color is purple, theirs is yellow."
],
"name": "they/them"
}
Response examples (default)
Bad Request (400)
The request contains invalid content
{
"error": true,
"statusCode": 400,
"statusMessage": "Bad Request",
"message": "XYZ contains an invalid value",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The user requesting this data is not authorised to access the requested section
{
"error": true,
"statusCode": 401,
"statusMessage": "Unauthorised",
"message": "You are not authorised to access this content",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The requested item could not be resolved/located
{
"error": true,
"statusCode": 404,
"statusMessage": "Not Found",
"message": "Requested Item Not Found",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The requested API version has either been completely removed or marked as depreciated
{
"error": true,
"statusCode": 410,
"statusMessage": "Gone",
"message": "v1 has been marked as depreciated; please use v2 or v3",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
Unknown Server Error
{
"error": true,
"statusCode": 500,
"statusMessage": "Server Error",
"message": "An unknown server error has occured, please try again later",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}